Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TaskControl

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface TaskControl
extends weblogic.jws.control.Control

The Task control enables a business process to create a single Task instance, manage its state and data, and provide callback methods that report status. Each Task control operates on a single active Task instance. You can extend this control.

Nested Class Summary
`static interface` | `TaskControl.Callback`

Field Summary
`static String` | `ATTR_ASSIGN_ALGORITHM`
`static String` | `ATTR_ASSIGN_GROUP`
`static String` | `ATTR_ASSIGN_USER`
`static String` | `ATTR_CREATE_CAN_BE_ABORTED`
`static String` | `ATTR_CREATE_CAN_BE_REASSIGNED`
`static String` | `ATTR_CREATE_CAN_BE_RETURNED`
`static String` | `ATTR_CREATE_CLAIM_CALENDAR`
`static String` | `ATTR_CREATE_CLAIM_DUE_BUSINESS_DATE`
`static String` | `ATTR_CREATE_CLAIM_DUE_DATE`
`static String` | `ATTR_CREATE_CLAIM_USER_CALENDAR`
`static String` | `ATTR_CREATE_COMMENT`
`static String` | `ATTR_CREATE_COMPLETION_CALENDAR`
`static String` | `ATTR_CREATE_COMPLETION_DUE_BUSINESS_DATE`
`static String` | `ATTR_CREATE_COMPLETION_DUE_DATE`
`static String` | `ATTR_CREATE_COMPLETION_USER_CALENDAR`
`static String` | `ATTR_CREATE_DESCRIPTION`
`static String` | `ATTR_CREATE_NAME`
`static String` | `ATTR_CREATE_OWNER`
`static String` | `ATTR_CREATE_PRIORITY`
`static String` | `ATTR_CREATE_REQUEST`
`static String` | `ATTR_CREATE_REQUEST_MIME_TYPE`
`static String` | `ATTR_GET_PROPERTY_NAME`
`static String` | `ATTR_REMOVE_PROPERTY_NAME`
`static String` | `ATTR_SET_PROPERTY_MAP`
`static String` | `ATTR_SET_PROPERTY_NAME`
`static String` | `ATTR_SET_PROPERTY_VALUE`
`static String` | `ATTR_UPDATE_CAN_BE_ABORTED`
`static String` | `ATTR_UPDATE_CAN_BE_REASSIGNED`
`static String` | `ATTR_UPDATE_CAN_BE_RETURNED`
`static String` | `ATTR_UPDATE_CLAIM_CALENDAR`
`static String` | `ATTR_UPDATE_CLAIM_DUE_BUSINESS_DATE`
`static String` | `ATTR_UPDATE_CLAIM_DUE_DATE`
`static String` | `ATTR_UPDATE_CLAIM_USER_CALENDAR`
`static String` | `ATTR_UPDATE_COMMENT`
`static String` | `ATTR_UPDATE_COMPLETION_CALENDAR`
`static String` | `ATTR_UPDATE_COMPLETION_DUE_BUSINESS_DATE`
`static String` | `ATTR_UPDATE_COMPLETION_DUE_DATE`
`static String` | `ATTR_UPDATE_COMPLETION_USER_CALENDAR`
`static String` | `ATTR_UPDATE_OWNER`
`static String` | `ATTR_UPDATE_PRIORITY`
`static String` | `ATTR_UPDATE_REQUEST`
`static String` | `ATTR_UPDATE_REQUEST_MIME_TYPE`
`static String` | `ATTR_UPDATE_RESPONSE`
`static String` | `ATTR_UPDATE_RESPONSE_MIME_TYPE`
`static Integer` | `CALENDAR_TYPE_NAME`
`static Integer` | `CALENDAR_TYPE_SYSTEM`
`static Integer` | `CALENDAR_TYPE_USER_OR_GROUP`
`static String` | `TAG_ADVANCED` the control advanced options jc tag.
`static String` | `TAG_ASSIGNEE` the control assignement jc tag.
`static String` | `TAG_TASK` the control jc tag.
`static String` | `TAG_TASK_ABORT`
`static String` | `TAG_TASK_ASSIGN` The @jc:create tag is used to annotate a JBCX method that assign or reassign a task.
`static String` | `TAG_TASK_CREATE` The @jc:create tag is used to annotate a JBCX method that creates a new task.
`static String` | `TAG_TASK_GET_PROPERTY` The return type of the method JBCX is used to determine what is returned.
`static String` | `TAG_TASK_GET_REQUEST` The return type of the method JBCX is used to determine what is returned.
`static String` | `TAG_TASK_GET_RESPONSE` The return type of the method JBCX is used to determine what is returned.
`static String` | `TAG_TASK_REMOVE_PROPERTY`
`static String` | `TAG_TASK_RESUME`
`static String` | `TAG_TASK_SET_PROPERTY`
`static String` | `TAG_TASK_SUSPEND`
`static String` | `TAG_TASK_UPDATE` The @jc:task-update tag is used to annotate a JBCX method that update the task properties.

Method Summary
`String` | `createTask(com.bea.wli.worklist.xml.TaskCreationXMLDocument doc)` Create and optionally assigns a new task using an XML interface
`String` | `getTaskId()`
`TaskInfo` | `getTaskInfo()`
`com.bea.wli.worklist.xml.TaskInfoXMLDocument` | `getTaskInfoXMLDocument()`
`String[]` | `getTaskPropertiesNames()`
`void` | `setTaskId(String taskId)` Set the TaskId the control is linked to.
`void` | `updateTask(com.bea.wli.worklist.xml.TaskUpdateXMLDocument doc)`

Field Detail

### TAG_TASK

    public static final String TAG_TASK

  the control jc tag.

  See Also:
    Constant Field Values

### TAG_ADVANCED

    public static final String TAG_ADVANCED

  the control advanced options jc tag.

  See Also:
    Constant Field Values

### TAG_ASSIGNEE

    public static final String TAG_ASSIGNEE

  the control assignement jc tag.

  See Also:
    Constant Field Values

### TAG_TASK_CREATE

    public static final String TAG_TASK_CREATE

  The @jc:create tag is used to annotate a JBCX method that creates a new task. This method can at most be called once by control and returns the taskId. The callbacks are registered to the new task created

  See Also:
    Constant Field Values

### ATTR_CREATE_NAME

    public static final String ATTR_CREATE_NAME

See Also:
  Constant Field Values

### ATTR_CREATE_DESCRIPTION

    public static final String ATTR_CREATE_DESCRIPTION

See Also:
  Constant Field Values

### ATTR_CREATE_COMMENT

    public static final String ATTR_CREATE_COMMENT

See Also:
  Constant Field Values

### ATTR_CREATE_PRIORITY

    public static final String ATTR_CREATE_PRIORITY

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_DUE_DATE

    public static final String ATTR_CREATE_CLAIM_DUE_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_DUE_DATE

    public static final String ATTR_CREATE_COMPLETION_DUE_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_DUE_BUSINESS_DATE

    public static final String ATTR_CREATE_CLAIM_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_USER_CALENDAR

    public static final String ATTR_CREATE_CLAIM_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_CALENDAR

    public static final String ATTR_CREATE_CLAIM_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_DUE_BUSINESS_DATE

    public static final String ATTR_CREATE_COMPLETION_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_USER_CALENDAR

    public static final String ATTR_CREATE_COMPLETION_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_CALENDAR

    public static final String ATTR_CREATE_COMPLETION_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_OWNER

    public static final String ATTR_CREATE_OWNER

See Also:
  Constant Field Values

### ATTR_CREATE_CAN_BE_REASSIGNED

    public static final String ATTR_CREATE_CAN_BE_REASSIGNED

See Also:
  Constant Field Values

### ATTR_CREATE_CAN_BE_RETURNED

    public static final String ATTR_CREATE_CAN_BE_RETURNED

See Also:
  Constant Field Values

### ATTR_CREATE_CAN_BE_ABORTED

    public static final String ATTR_CREATE_CAN_BE_ABORTED

See Also:
  Constant Field Values

### ATTR_CREATE_REQUEST

    public static final String ATTR_CREATE_REQUEST

See Also:
  Constant Field Values

### ATTR_CREATE_REQUEST_MIME_TYPE

    public static final String ATTR_CREATE_REQUEST_MIME_TYPE

See Also:
  Constant Field Values

### TAG_TASK_ASSIGN

    public static final String TAG_TASK_ASSIGN

  The @jc:create tag is used to annotate a JBCX method that assign or reassign a task. The algorithm name is used to determine the way a task is assigned. If no name is pecified the default algorithm is used and the args must be of type String[]; In any case the attribute "args" is required and must be of type Object[].

  See Also:
    Constant Field Values

### ATTR_ASSIGN_USER

    public static final String ATTR_ASSIGN_USER

See Also:
  Constant Field Values

### ATTR_ASSIGN_GROUP

    public static final String ATTR_ASSIGN_GROUP

See Also:
  Constant Field Values

### ATTR_ASSIGN_ALGORITHM

    public static final String ATTR_ASSIGN_ALGORITHM

See Also:
  Constant Field Values

### TAG_TASK_RESUME

    public static final String TAG_TASK_RESUME

See Also:
  Constant Field Values

### TAG_TASK_SUSPEND

    public static final String TAG_TASK_SUSPEND

See Also:
  Constant Field Values

### TAG_TASK_ABORT

    public static final String TAG_TASK_ABORT

See Also:
  Constant Field Values

### TAG_TASK_GET_REQUEST

    public static final String TAG_TASK_GET_REQUEST

  The return type of the method JBCX is used to determine what is returned.

  See Also:
    Constant Field Values

### TAG_TASK_GET_RESPONSE

    public static final String TAG_TASK_GET_RESPONSE

  The return type of the method JBCX is used to determine what is returned.

  See Also:
    Constant Field Values

### TAG_TASK_GET_PROPERTY

    public static final String TAG_TASK_GET_PROPERTY

  The return type of the method JBCX is used to determine what is returned.

  See Also:
    Constant Field Values

### ATTR_GET_PROPERTY_NAME

    public static final String ATTR_GET_PROPERTY_NAME

See Also:
  Constant Field Values

### TAG_TASK_SET_PROPERTY

    public static final String TAG_TASK_SET_PROPERTY

See Also:
  Constant Field Values

### ATTR_SET_PROPERTY_NAME

    public static final String ATTR_SET_PROPERTY_NAME

See Also:
  Constant Field Values

### ATTR_SET_PROPERTY_VALUE

    public static final String ATTR_SET_PROPERTY_VALUE

See Also:
  Constant Field Values

### ATTR_SET_PROPERTY_MAP

    public static final String ATTR_SET_PROPERTY_MAP

See Also:
  Constant Field Values

### TAG_TASK_REMOVE_PROPERTY

    public static final String TAG_TASK_REMOVE_PROPERTY

See Also:
  Constant Field Values

### ATTR_REMOVE_PROPERTY_NAME

    public static final String ATTR_REMOVE_PROPERTY_NAME

See Also:
  Constant Field Values

### TAG_TASK_UPDATE

    public static final String TAG_TASK_UPDATE

  The @jc:task-update tag is used to annotate a JBCX method that update the task properties. You can modify one or more properties at the same time.

  See Also:
    Constant Field Values

### ATTR_UPDATE_CAN_BE_ABORTED

    public static final String ATTR_UPDATE_CAN_BE_ABORTED

See Also:
  Constant Field Values

### ATTR_UPDATE_CAN_BE_REASSIGNED

    public static final String ATTR_UPDATE_CAN_BE_REASSIGNED

See Also:
  Constant Field Values

### ATTR_UPDATE_CAN_BE_RETURNED

    public static final String ATTR_UPDATE_CAN_BE_RETURNED

See Also:
  Constant Field Values

### ATTR_UPDATE_COMMENT

    public static final String ATTR_UPDATE_COMMENT

See Also:
  Constant Field Values

### ATTR_UPDATE_PRIORITY

    public static final String ATTR_UPDATE_PRIORITY

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_DUE_DATE

    public static final String ATTR_UPDATE_CLAIM_DUE_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_DUE_DATE

    public static final String ATTR_UPDATE_COMPLETION_DUE_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_DUE_BUSINESS_DATE

    public static final String ATTR_UPDATE_CLAIM_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_USER_CALENDAR

    public static final String ATTR_UPDATE_CLAIM_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_CALENDAR

    public static final String ATTR_UPDATE_CLAIM_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_DUE_BUSINESS_DATE

    public static final String ATTR_UPDATE_COMPLETION_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_USER_CALENDAR

    public static final String ATTR_UPDATE_COMPLETION_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_CALENDAR

    public static final String ATTR_UPDATE_COMPLETION_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_OWNER

    public static final String ATTR_UPDATE_OWNER

See Also:
  Constant Field Values

### ATTR_UPDATE_REQUEST

    public static final String ATTR_UPDATE_REQUEST

See Also:
  Constant Field Values

### ATTR_UPDATE_REQUEST_MIME_TYPE

    public static final String ATTR_UPDATE_REQUEST_MIME_TYPE

See Also:
  Constant Field Values

### ATTR_UPDATE_RESPONSE

    public static final String ATTR_UPDATE_RESPONSE

See Also:
  Constant Field Values

### ATTR_UPDATE_RESPONSE_MIME_TYPE

    public static final String ATTR_UPDATE_RESPONSE_MIME_TYPE

See Also:
  Constant Field Values

### CALENDAR_TYPE_SYSTEM

    public static final Integer CALENDAR_TYPE_SYSTEM

### CALENDAR_TYPE_USER_OR_GROUP

    public static final Integer CALENDAR_TYPE_USER_OR_GROUP

### CALENDAR_TYPE_NAME

    public static final Integer CALENDAR_TYPE_NAME

Method Detail

### setTaskId

    public void setTaskId(String taskId)

  Set the TaskId the control is linked to. The taskId can only be set once. When a task is created, its taskId is set to the control if no taskId has been set before or return an exception otherwise. If you want to work with more than one taskId you can use multiple control or the WorklistControl.

### getTaskId

    public String getTaskId()

### createTask

    public String createTask(com.bea.wli.worklist.xml.TaskCreationXMLDocument doc)

  Create and optionally assigns a new task using an XML interface

  Parameters:
    `doc` - the task parameters
  Returns:
    the taskId

### getTaskInfo

    public TaskInfo getTaskInfo()

### getTaskInfoXMLDocument

    public com.bea.wli.worklist.xml.TaskInfoXMLDocument getTaskInfoXMLDocument()

### getTaskPropertiesNames

    public String[] getTaskPropertiesNames()

### updateTask

    public void updateTask(com.bea.wli.worklist.xml.TaskUpdateXMLDocument doc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD